//
// C++ Implementation: midiinputthread
//
// Description: 
//
//
// Author: Predrag Viceic <viceic@net2000.ch>, (C) 2005
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include "midiinputthread.h"

MidiInputThread::MidiInputThread(MidiInput* mi)
 : QThread()
{
    midiInput=mi;
}


MidiInputThread::~MidiInputThread()
{
    if (running()) terminate();
}




/*!
    \fn MidiInputThread::run()
 */
void MidiInputThread::run()
{
    while(TRUE){
        if(midiInput) midiInput->process();
    }
}
